---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# cabrillo.navigation - Client

# cabrillo.navigation - Client {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read

Cabrillo JS
functions for forward and backward navigation.

## cabrillo.navigation - goBack() {#ariaid-title2}

Enables backward navigation.
{#CN-goBack__table_rtj_5dn_wbb__entry__3}

| Name | Type | Description |
|-|-|-|
| None |   |   |
[Table 1. Parameters]

{#CN-goBack__table_rtj_5dn_wbb} {#CN-goBack__table_stj_5dn_wbb__entry__2}

| Type | Description |
|-|-|
| Boolean | Returns true if Cabrillo JS will navigate backward; otherwise false. |
[Table 2. Returns]

{#CN-goBack__table_stj_5dn_wbb}  

    cabrillo.navigation.goBack();

## cabrillo.navigation - goto( String url, Cabrillo.NavigationRequest request) {#ariaid-title3}

Enables forward navigation.
Use the request parameter not the url parameter for list or record navigation.
{#CN-goto_S_CNR__table_qlj_q2n_wbb__entry__3}

| Name | Type | Description |
|-|-|-|
| url | String | An URL to navigate to. This should be used for custom URL navigation. Optional. |
| request | Cabrillo.NavigationRequest | Describes the list or record to navigate to. Optional. |
[Table 3. Parameters]

{#CN-goto_S_CNR__table_qlj_q2n_wbb} {#CN-goto_S_CNR__table_rlj_q2n_wbb__entry__2}

| Type | Description |
|-|-|
| Boolean | Returns true if Cabrillo JS will navigate; otherwise returns false. |
[Table 4. Returns]

{#CN-goto_S_CNR__table_rlj_q2n_wbb}  
Navigate to a URL.

    cabrillo.navigation["goto"](https://servicenow-prod.fluidtopics.net/'/$sp.do?id=my_custom_page');

Navigate to a list. The request parameter is preferred over the url parameter for list
navigation.

    // A Cabrillo.NavigationRequest dictionary that specifies a list of active incidents.
    var request = {
        table: 'incident',
        query: 'active=true',
    };
    cabrillo.navigation["goto"](https://servicenow-prod.fluidtopics.net/null, request);

Navigate to a record. The request parameter is preferred over the url parameter for record
navigation.

    // A Cabrillo.NavigationRequest dictionary that specifies an incident record.
    var request = {
        table: 'incident',
        sysId: 'a9e30c7dc61122760116894de7bcc7bd'
    };
    cabrillo.navigation["goto"](https://servicenow-prod.fluidtopics.net/null, request);

Navigate to a new record.

    // A Cabrillo.NavigationRequest dictionary that specifies a new incident record.
    // The new record will be seeded with the encoded query.
    var request = {
        table: 'incident',
        sysId: '-1',
        query: 'short_description=This is a new incident.'
    };
    cabrillo.navigation["goto"](https://servicenow-prod.fluidtopics.net/null, request);


